#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n, l;
    cin >> n >> l;
    vector<int> h;
    for(int j=0; j<n; j++){
        int x; cin >> x;
        h.push_back(x);
    }

    int i=1;
    while(l<h[i-1] && i<=n){
        i++;
    }
    if(i==n+1) cout << "-1\n";
    else cout << i << "\n";
    return 0;
}